<!--
IGAC proyecto SNC
@javier.aponte

@description  página en la que se selecciona un ejecutor para reasignarlo a un trámite

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridReasignacionEjecutor">

    <h:form id="reasignacionEjecutorForm">
        <p:ajaxStatus onstart="statusDialog.show();" onsuccess="statusDialog.hide();"
                      onerror="statusDialog.hide();"/>
        <p:spacer height="20" width="0" />
        <p:dataTable 
            var="ejecutores" widgetVar="cargaEjecutoresDTWV"
            rowKey="#{ejecutores.funcionarioId}"
            value="#{administracionAsignaciones.ejecutoresTramite}"
            selection="#{administracionAsignaciones.ejecutorSeleccionado}"
            selectionMode="single"
            emptyMessage="No se encontraron funcionarios ejecutores">

            <f:facet name="header">
                Carga de trámites de los ejecutores
            </f:facet>

            <p:column headerText="Nombre">
                <h:outputText value="#{ejecutores.funcionario}" />
            </p:column>

            <p:column headerText="Terreno">
                <h:outputText value="#{ejecutores.terreno}" />
            </p:column>

            <p:column headerText="Oficina">
                <h:outputText value="#{ejecutores.oficina}" />
            </p:column>
        </p:dataTable>

        <p:spacer height="30" width="0" />

        <p:outputPanel layout="block" style="text-align: left">
            <p:commandButton value="Consultar trámites asignados a ejecutor"                             
                             action="#{administracionAsignaciones.consultarTramitesAsignadosAEjecutor}"
                             icon="ui-icon-folder-collapsed"
                             update=":cargaTramitesEjecutorForm"
                             onclick="if (cargaEjecutoresDTWV.selection == '') {
                                         alert('Debe seleccionar un ejecutor!');
                                         return false;
                                     } else {
                                         statusDialog2.show();
                                     }"
                             oncomplete="cargaTramitesEjecutorWV.show(); statusDialog2.hide();"/>
            <p:spacer height="0" width="5" />
            <p:commandButton value="Reasignar ejecutor" icon="ui-icon-person"
                             onclick="if (cargaEjecutoresDTWV.selection == '') {
                                         alert('Debe seleccionar un ejecutor!');
                                         return false;
                                     }"
                             onstart="statusDialog2.show();"
                             action="#{administracionAsignaciones.reasignarEjecutor}" id="btnReasignar"
                             oncomplete="reasignacionEjecutorWV.hide();statusDialog2.hide()" 
                             update=":msgsAdmonAsignaciones, :admonAsignacionesForm:tramitesSeleccionadosDT"/>
            <p:spacer height="0" width="5" />
            <p:commandButton value="Cerrar" onclick="reasignacionEjecutorWV.hide()" icon="ui-icon-close"/>
        </p:outputPanel>

    </h:form>
</h:panelGrid>